aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorSteven Fackler <[email protected]>2017-12-23 19:00:44 -0800
committerGitHub <[email protected]>2017-12-23 19:00:44 -0800
commit82d3ac948b223d28e1153eeee8094215e7cd86b7 (patch)
tree83f0657bab96e7890a491767bd4a3fd051ef0289 /test
parentMerge pull request #794 from sfackler/x509-send-sync (diff)
parentFix script (diff)
downloadrust-openssl-82d3ac948b223d28e1153eeee8094215e7cd86b7.tar.xz
rust-openssl-82d3ac948b223d28e1153eeee8094215e7cd86b7.zip
Merge pull request #795 from sfackler/host-overhaul
Allow SNI and hostname verification to be configured separately
Diffstat (limited to 'test')
-rwxr-xr-xtest/add_target.sh2
-rwxr-xr-xtest/build_openssl.sh6
2 files changed, 5 insertions, 3 deletions
diff --git a/test/add_target.sh b/test/add_target.sh
index a819ed56..c9914ad2 100755
--- a/test/add_target.sh
+++ b/test/add_target.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -e
+set -eux
case "${TARGET}" in
"x86_64-unknown-linux-gnu")
diff --git a/test/build_openssl.sh b/test/build_openssl.sh
index 70532436..9c1cda1e 100755
--- a/test/build_openssl.sh
+++ b/test/build_openssl.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -e
+set -eux
if [ -d "${OPENSSL_DIR}" ]; then
exit 0
@@ -21,6 +21,7 @@ esac
case "${TARGET}" in
"x86_64-unknown-linux-gnu")
OS_COMPILER=linux-x86_64
+ OS_FLAGS=""
;;
"i686-unknown-linux-gnu")
OS_COMPILER=linux-elf
@@ -28,6 +29,7 @@ case "${TARGET}" in
;;
"arm-unknown-linux-gnueabihf")
OS_COMPILER=linux-armv4
+ OS_FLAGS=""
export AR=arm-linux-gnueabihf-ar
export CC=arm-linux-gnueabihf-gcc
;;
@@ -53,4 +55,4 @@ case "${LIBRARY}" in
esac
make -j$(nproc)
-make install
+make install_sw